#include <foo.h>

#pragma TASS output 
int i;
#pragma TASS output 
int1 j;
#pragma TASS output 
int2 k;
#pragma TASS output 
int3 n;
#pragma TASS output 
double x;

void main() {
	int p;
	
	i = 3;
	j = 3;
	p = 0;
	n = 1;
	n = increment(11);
	x = 2.0;
	p=FOO_f(1);
	k = p+1;
	x = square(2.0);
}